SQLITE3_COLUMN_COUNT(3) | Library Functions Manual | SQLITE3_COLUMN_COUNT(3)

# NAME

sqlite3_column_count — Number Of Columns In A Result Set

# SYNOPSIS

int
sqlite3_column_count(sqlite3_stmt *pStmt);

# DESCRIPTION

Return the number of columns in the result set returned by the prepared statement. If this routine returns 0, that means the prepared statement returns no data (for example an UPDATE). However, just because this routine returns a positive number does not mean that one or more rows of data will be returned. A SELECT statement will always have a positive sqlite3_column_count() but depending on the WHERE clause constraints and the table content, it might return no rows.

# SEE ALSO

sqlite3_stmt(3), sqlite3_data_count(3)

March 11, 2017 | NetBSD 8.2